Subject: [Manycouches] Publication has been requested for draft-ietf-shmoo-cancel-meeting-03

From: Suresh Krishnan via Datatracker <[email-masked]>
Date: Tue, 08 Jun 2021 15:09:27 -0700

Suresh Krishnan has requested publication of draft-ietf-shmoo-cancel-meeting-03 as Best Current Practice on behalf of the SHMOO working group.

Please verify the document's state at https://datatracker.ietf.org/doc/draft-ietf-shmoo-cancel-meeting/

---

From: Lars Eggert <[email-masked]>
Date: Wed, 9 Jun 2021 13:31:36 +0300

Section 3.1, paragraph 11, comment:
>    The criteria in Section 3.1 of [RFC8718] apply to venues that are re-
>    evaluated due to an emergency.  Specifically:

It's not clear to me whether the list below is supposed to augment that in
RFC8717, replace it, or how it relates to that otherwise, given that some of the
bullets below are taken from RFC8717 and others are (apparently) not.

Section 4, paragraph 3, comment:
> 4.  Remedies
>
>    If the event cannot be held at the scheduled time and place, the IETF
>    has several options.  The remedies below should be consdered in light
>    of these principles, presented in no particular order:
>

Isn't it the LLC and IESG that have several options?
Also, it's not clear which "principles" this refers to.
And I wouldn't characterize some of the items in the following bullet list as
"remedies"; maybe "considerations"?

Section 4.3, paragraph 2, comment:
> 4.3.  Postponement

I guess the intent here is to postpone a meeting but stay at the same venue?
The text doesn't explicitly say that though.

Section 4.4, paragraph 2, comment:
>    As a last resort, IETF may cancel the meeting totally.  This is a

Isn't it again the LLC and IESG that may cancel a meeting?

Section 4.4, paragraph 1, comment:
>    can have wide implications for the rhythm of IETF personnel policies,

"the rhythm of IETF personnel policies" is an odd phrasing, maybe just remove
this and say "wide implications, such as"?

This document uses RFC2119 keywords, but does not contain the recommended
RFC8174 boilerplate. (It contains some text with a similar beginning.)

-------------------------------------------------------------------------------
All comments below are about very minor potential issues that you may choose to
address in some way - or ignore - as you see fit. Some were flagged by
automated tools (via https://github.com/larseggert/ietf-reviewtool), so there
will likely be some false positives. There is no need to let me know what you
did with these suggestions.

Section 1, paragraph 2, nit:
-    One highlight of the IETF calendar is in-person general meetings,
-    ^                                  ^^
+    Among the highlights of the IETF calendar are in-person general meetings,
+    ^^^ ++++           +                      ^^^

Section 1, paragraph 4, nit:
-    *  The meeting venue itself may unexpectedly close or otherwise be
-       ^^^
+    *  A meeting venue itself may unexpectedly close or otherwise be
+       ^

Section 1, paragraph 9, nit:
-    This document provides procedures for the IETF to decide to postpone,
+    This document provides criteria to aid the IETF Administration LLC (LLC) in deciding to postpone,

Section 3, paragraph 2, nit:
-    The IETF Administration LLC (LLC) assesses whether or not an in-
-        --------------------   ------
+    The LLC assesses whether or not an in-

Section 3, paragraph 2, nit:
-    Group (IESG) and IRTF chair assess if the projected attendance is
-                          ^
+    Group (IESG) and Internet Research Task Force (IRTF) Chair assess if the projected attendance is
+                      ++++++++++++++++++++++++++++++   + ^

Section 3.1, paragraph 2, nit:
-    to a major event that leaves the prior conclusion in doubt.  Where
-                                                                 ^^^^^
+    to a major event that leaves the prior conclusion in doubt.  If
+                                                                 ^^

Section 3.1, paragraph 2, nit:
-    scheduled meeting, it is deemed a non- emergency situation.  Later
-                                          -                      ^
-    events, up to and including the week of the meeting itself, are
-         -                                  ^^^                 ^^^
+    scheduled meeting, it is deemed a non-emergency situation.  A later
+                                                                ^^^
+    event, up to and including the week of a meeting itself, is
+                                           ^                 ^^

Section 3.1, paragraph 9, nit:
-    process, this document provides an IETF consensus on criteria the LLC
-                                     ^                ^   ^^^^^^^
+    process, this document provides criteria that have IETF consensus and which the LLC
+                                    +++++++ ^^^^^^^^^^                ^ + +++ ^

Section 3.1, paragraph 18, nit:
-    *  The financial impact of continuing the meeting, or implementing
-                                          ^^^
+    *  The financial impact of continuing a meeting, or implementing
+                                          ^

Section 3.1, paragraph 19, nit:
-    The LLC SHOULD cancel the meeting if it judges the meeting to be
-                          ^^^                      ^^^
+    The LLC SHOULD cancel a meeting if it judges a meeting to be
+                          ^                      ^

Section 3.2, paragraph 2, nit:
-    obstacles to holding the meeting, the IESG and IRTF chair assess if
-                         ^^^                            ^
-    projected attendance is high enough to capture the benefit of an in-
-                                            ^^^^^
+    obstacles to holding a meeting in an emergency situation, the IESG and IRTF Chair assess if
+                         ^        ++++++++++++++++++++++++++                    ^
+    projected attendance is high enough to achieve the benefit of an in-
+                                           + ^^^^

Section 4, paragraph 2, nit:
-    has several options.  The remedies below should be consdered in light
+    has several options.  The remedies below should be considered in light
+                                                           +

Section 4, paragraph 3, nit:
-    *  Hold the scheduled sessions of the meeting in some format.
-                                      ^^^
+    *  Hold the scheduled sessions of a meeting in some format.
+                                      ^

Section 4.1, paragraph 2, nit:
-    In particular, the IETF should strive to meet the criteria in
-                       ^^^^
+    In particular, the LLC should strive to meet the criteria in
+                       ^^^

Section 4.2, paragraph 2, nit:
-    availability, is to make the meeting fully remote.  This requires
-                             ^^^
+    availability, is to make a meeting fully remote.  This requires
+                             ^

Section 4.3, paragraph 2, nit:
-    next best option is to delay the meeting until a specific date at
-                                 ^^^
+    next best option is to delay a meeting until a specific date at
+                                 ^

Section 4.4, paragraph 2, nit:
-    As a last resort, IETF may cancel the meeting totally.  This is a
-                                      ^^^          ^^^^
+    As a last resort, the IETF may cancel a meeting entirely.  This is a
+                      ++++                ^         ++ ^^^

Section 4.4, paragraph 3, nit:
-    emergencies occur immediately before or during the meeting, so that
-                                                   ^^^
+    emergencies occur immediately before or during a meeting, so that
+                                                   ^

Section 5, paragraph 6, nit:
-    *  When the meeting becomes remote, the LLC SHOULD attempt to recover
-            ^^^
+    *  When a meeting becomes fully remote, the LLC SHOULD attempt to recover
+            ^                ++++++

Section 2, paragraph 2, nit:
> ria and Roles The LLC assesses whether or not an in-person meeting is logisti
>                                ^^^^^^^^^^^^^^
Consider shortening this phrase to just "whether". It is correct though if you
mean "regardless of whether".

Section 3, paragraph 2, nit:
> doubt. If such an event occurs more that twelve weeks before the start of the
>                                     ^^^^
Did you mean "than"?

---

From: Martin Duke <[email-masked]>
Date: Wed, 9 Jun 2021 11:22:22 -0700

Hi Lars,

Thanks for the review. A PR reflecting it is here:
https://github.com/martinduke/draft-ietf-shmoo-cancel-meeting/pull/5

Let me know if it addresses everything sufficiently.

> bullets below are taken from RFC8717 and others are (apparently) not.

This text has not remained up to date with the evolution of the bullets. I
rewrote it
to say that some of the bullets are derived from 8718.

> "remedies"; maybe "considerations"?

There are "principles" in the bullets and "remedies" in the subsections. I
tried to clarify.

> The text doesn't explicitly say that though.

Fixed.

> Isn't it again the LLC and IESG that may cancel a meeting?

Fixed

> this and say "wide implications, such as"?

Fixed

> RFC8174 boilerplate. (It contains some text with a similar beginning.)

Fixed.